Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.jbotester
Class ResultWindow

    java.lang.Object
      |
      +--oracle.jbo.jbotester.ResultWindow

public class ResultWindow
extends java.lang.Object
implements javax.swing.event.ChangeListener

Field Summary
`protected javax.swing.event.ChangeEvent` | `changeEvent`
`protected javax.swing.event.EventListenerList` | `listenerList`
`protected MainFrame` | `mainframe`
`protected java.util.Hashtable` | `mWins`
`protected java.lang.String` | `selectedTabName`
`protected javax.swing.JTabbedPane` | `tabPane`

Constructor Summary
`ResultWindow(MainFrame mFrame)`

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener l)`
`void` | `addTab(javax.swing.JPanel panel, java.lang.String tabName)`
`static ResultWindow` | `createResultWindow(MainFrame mFrame)`
`void` | `displayInWindow(javax.swing.JPanel panel)`
`static ResultWindow` | `getResultWindow()`
`javax.swing.JPanel` | `getSelectedTab()`
`javax.swing.JPanel` | `getTab(java.lang.String title)`
`javax.swing.JTabbedPane` | `getTabbedPane()`
`void` | `refreshAll()`
`void` | `removeAllTabs()`
`void` | `removeChangeListener(javax.swing.event.ChangeListener l)`
`javax.swing.JPanel` | `removeTab(java.lang.String name)`
`void` | `replaceTab(oracle.jbo.jbotester.ResultFrame frame)`
`void` | `showTab(java.lang.String name)`
`void` | `stateChanged(javax.swing.event.ChangeEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mainframe

    protected MainFrame mainframe

### tabPane

    protected javax.swing.JTabbedPane tabPane

### mWins

    protected java.util.Hashtable mWins

### selectedTabName

    protected java.lang.String selectedTabName

### changeEvent

    protected transient javax.swing.event.ChangeEvent changeEvent

### listenerList

    protected javax.swing.event.EventListenerList listenerList

Constructor Detail

### ResultWindow

    public ResultWindow(MainFrame mFrame)

Method Detail

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener l)

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener l)

### getTabbedPane

    public javax.swing.JTabbedPane getTabbedPane()

### addTab

    public void addTab(javax.swing.JPanel panel,
                       java.lang.String tabName)

### displayInWindow

    public void displayInWindow(javax.swing.JPanel panel)

### getResultWindow

    public static ResultWindow getResultWindow()

### createResultWindow

    public static ResultWindow createResultWindow(MainFrame mFrame)

### getTab

    public javax.swing.JPanel getTab(java.lang.String title)

### getSelectedTab

    public javax.swing.JPanel getSelectedTab()

### showTab

    public void showTab(java.lang.String name)

### removeTab

    public javax.swing.JPanel removeTab(java.lang.String name)

### replaceTab

    public void replaceTab(oracle.jbo.jbotester.ResultFrame frame)

### removeAllTabs

    public void removeAllTabs()

### refreshAll

    public void refreshAll()

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent e)

  Specified by:
    stateChanged in interface javax.swing.event.ChangeListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD